View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0013973ParaView(No Category)public2013-03-27 13:172013-05-18 20:00
ReporterAndy Bauer 
Assigned ToAndy Bauer 
PrioritylowSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versiongit-master 
Target VersionFixed in Version4.0 
Summary0013973: ParaView automatically replaces an algorithm's executive when it doesn't need to or maybe shouldn't
DescriptionIn vtkSISourceProxy, an algorithm's executive is automatically replaced with a given executive. Reasons to avoid this:

1) if it is the same executive, we have unneeded computation

2) if it is an executive that is derived from the requested executive it replaces the desired one with a superclass of it. For algorithms with specialized executives that are set as the default executive for them it will replace them.
TagsNo tags attached.
ProjectLANL
Topic Name13973_do_not_auto_replace_algorithm_executive
Typeincorrect functionality
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0030482)
Andy Bauer (developer)
2013-03-28 10:55

Dashboards look good.
(0030493)
Alan Scott (manager)
2013-04-02 18:46

Developer tag for git. Closing.

- Issue History
Date Modified Username Field Change
2013-03-27 13:17 Andy Bauer New Issue
2013-03-27 13:17 Andy Bauer Assigned To => Andy Bauer
2013-03-27 13:19 Andy Bauer Status backlog => todo
2013-03-27 13:28 Andy Bauer Status todo => active development
2013-03-28 10:55 Andy Bauer Topic Name => 13973_do_not_auto_replace_algorithm_executive
2013-03-28 10:55 Andy Bauer Note Added: 0030482
2013-03-28 10:55 Andy Bauer Status active development => gatekeeper review
2013-03-28 10:55 Andy Bauer Fixed in Version => git-next
2013-03-28 10:55 Andy Bauer Resolution open => fixed
2013-03-29 13:09 Sebastien Jourdain Status gatekeeper review => customer review
2013-04-02 18:46 Alan Scott Note Added: 0030493
2013-04-02 18:46 Alan Scott Status customer review => closed
2013-05-18 19:58 Utkarsh Ayachit Fixed in Version git-next => git-master
2013-05-18 20:00 Utkarsh Ayachit Fixed in Version git-master => 4.0


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker